Support Center

What phones are compatible with the Leeo App?

Last Updated: Jan 31, 2017 03:07PM PST
The Leeo app is compatible with the following devices:

Apple iPhone running iOS 8+
* iPhone 4s
* iPhone 5
* iPhone 5c
* iPhone 5s
* iPhone 6
* iPhone 6 Plus
* iPhone 6s
* iPhone 6s Plus
* iPhone 7
* iPhone 7 Plus

 Apple iPod Touch running iOS 8+
* iPod Touch (5th Generation)

Apple iPad
Although compatible, we do not recommend using the Leeo App with your iPad since it's configured for iPhone/iPod use only.
* iPad 3rd Generation
* iPad Mini
* iPad 4th Generation
* iPad Mini 2
* iPad Mini 3
* iPad Air
* iPad Air 2

Android
Any Android 4.4+ phone with Bluetooth 4.0+ (also known as BLE).  
Please Note: Marshmallow 6.0+ requires both BLE and Location services to be turned on in order to set up your Leeo.
Users with Android 4.3, Moto Z, Moto Z Play Droid, and Moto X Play will need to contact support@leeo.com for an older version of the Leeo App.
 
If you are unsure if we support your phone, please contact us at support@leeo.com with your phone's make and model so we can double check for you.

Contact Us

8edac57927f9585f1c7db836c22d516d@leeo.desk-mail.com
http://assets0.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete